For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
  • Core Resources
      • GETGet generated items
      • GETGet history item
      • DELDelete history item
      • GETGet audio from history item
      • POSTDownload history items
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
Core ResourcesHistory

Get generated items

GET
/v1/history
GET
/v1/history
$curl https://api.elevenlabs.io/v1/history
1{
2 "history": [
3 {
4 "history_item_id": "ja9xsmfGhxYcymxGcOGB",
5 "date_unix": 1714650306,
6 "character_count_change_from": 17189,
7 "character_count_change_to": 17231,
8 "content_type": "audio/mpeg",
9 "state": null,
10 "request_id": "BF0BZg4IwLGBlaVjv9Im",
11 "voice_id": "21m00Tcm4TlvDq8ikWAM",
12 "model_id": "eleven_multilingual_v2",
13 "voice_name": "Rachel",
14 "voice_category": "premade",
15 "text": "Hello, world!",
16 "settings": {
17 "similarity_boost": 0.5,
18 "stability": 0.71,
19 "style": 0,
20 "use_speaker_boost": true
21 },
22 "source": "TTS"
23 }
24 ],
25 "has_more": true,
26 "last_history_item_id": "ja9xsmfGhxYcymxGcOGB",
27 "scanned_until": 1714650306
28}
Returns a list of your generated audio.
Was this page helpful?
Previous

Get history item

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

page_sizeintegerOptionalDefaults to 100
How many history items to return at maximum. Can not exceed 1000, defaults to 100.
start_after_history_item_idstring or nullOptional
After which ID to start fetching, use this parameter to paginate across a large collection of history items. In case this parameter is not provided history items will be fetched starting from the most recently created one ordered descending by their creation date.
voice_idstring or nullOptional

ID of the voice to be filtered for. You can use the Get voices endpoint list all the available voices.

model_idstring or nullOptional
Search term used for filtering history items. If provided, source becomes required.
date_before_unixinteger or nullOptional

Unix timestamp to filter history items before this date (exclusive).

date_after_unixinteger or nullOptional

Unix timestamp to filter history items after this date (inclusive).

sort_directionenum or nullOptionalDefaults to desc
Sort direction for the results.
Allowed values:
searchstring or nullOptional
search term used for filtering
sourceenum or nullOptional
Source of the generated history item
Allowed values:

Response

Successful Response
historylist of objects
A list of speech history items.
has_moreboolean
Whether there are more history items to fetch.
last_history_item_idstring or null
The ID of the last history item.
scanned_untilinteger or null
The timestamp of the last history item.

Errors

422
Unprocessable Entity Error